Calendar occurrences for vehicles within a date range.
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
- Mock serverhttps://docs.transportial.com/_mock/apis/capacity/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/capacity/{id}
- Productionhttps://api.otms.transportial.com/api/capacity/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/capacity/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "capacities": [ { … } ], "totalResults": 0 }
Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
- Mock serverhttps://docs.transportial.com/_mock/apis/capacity/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/capacity/{id}
- Productionhttps://api.otms.transportial.com/api/capacity/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'https://docs.transportial.com/_mock/apis/capacity/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"business": {},
"schedule": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"weekDays": [
"sunday"
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"timeSlotTemplates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"capacityUnits": 0,
"weekDay": "sunday",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"language": {},
"filters": []
}
],
"filters": [
{
"filters": []
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
]
}
],
"timeSlots": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"date": "2019-08-24T14:15:22Z",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"consignments": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
{}
],
"team": {},
"combined": true,
"consignment": {},
"originalPhysicalSender": {},
"originalLegalSender": {},
"originalPhysicalAddressee": {},
"originalLegalAddressee": {},
"currentLocation": {
"administrativeReference": {},
"lat": 0.1,
"lon": 0.1,
"speed": {},
"heading": {},
"bearing": {},
"bearingType": "absolute"
},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"type": "string",
"remark": "string",
"documents": [
{}
],
"actors": [
{}
],
"actions": [
{}
],
"constraints": [
{}
],
"identifiers": [
{
"language": {}
}
],
"attributes": [
{
"language": {}
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"language": {}
},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"hasAgreedToPrice": true,
"versionNumber": 0,
"nextPlanFromAction": {}
}
],
"route": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"time": 0,
"cost": 0,
"distance": 0,
"expenses": [
{
"nonce": "string",
"sequenceNr": 0,
"quantity": 0,
"name": "string",
"description": "string",
"category": {
"identifiers": []
},
"business": {},
"amount": {},
"subTotal": {},
"tax": {},
"total": {}
}
],
"additionalInfo": {
"property1": {},
"property2": {}
},
"lineString": "string",
"actors": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"user": {},
"identifiers": [
null
],
"contactDetails": [
null
]
}
],
"actions": [
{}
],
"constraints": [
{
"associationType": "inline",
"entity": {},
"description": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {
"value": "string",
"unit": "string"
},
"totalUnits": 0,
"availableCapacity": {
"value": "string",
"unit": "string"
},
"totalCapacity": {
"value": "string",
"unit": "string"
},
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"name": "string",
"description": "string",
"taxRate": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true,
"identifiers": [
{
"language": {}
}
]
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
null
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}'{ "success": true, "message": "string", "code": 0, "capacities": [ { … } ], "totalResults": 0 }
- Mock serverhttps://docs.transportial.com/_mock/apis/capacity/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/capacity/{id}
- Productionhttps://api.otms.transportial.com/api/capacity/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.transportial.com/_mock/apis/capacity/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "capacities": [ { … } ], "totalResults": 0 }
- Mock serverhttps://docs.transportial.com/_mock/apis/capacity
- Test environmenthttps://test.api.otms.transportial.com/api/capacity
- Productionhttps://api.otms.transportial.com/api/capacity
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/capacity \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"name": "string",
"description": "string",
"business": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"relationType": "string",
"alias": "string",
"description": "string",
"transportLicenseNumber": "string",
"eori": "string",
"scacCode": "string",
"industry": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"abbreviated": "string",
"enabled": true
},
"website": "string",
"coc": "string",
"vat": "string",
"invoiceAttentionTo": "string",
"invoiceEmail": "string",
"quoteAttentionTo": "string",
"quoteEmail": "string",
"verified": true,
"documents": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {
"associationType": "inline"
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
}
],
"logo": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"banners": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
}
],
"locations": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "addressGeoReference",
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string",
"hash": "string"
},
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
],
"openingTimes": {
"monday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"tuesday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"wednesday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"thursday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"friday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"saturday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"sunday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
}
},
"terminal": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"integrationType": "portbase",
"ean": "string",
"bicsCode": "string",
"quayName": "string",
"smdgCode": "string",
"locations": [
{}
],
"allowedModalities": [
"string"
],
"terminalSettings": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"loading": true,
"full": true,
"modality": "string",
"sealNumberAllowed": true,
"reeferAllowed": true,
"grossWeightAllowed": true,
"outOfGaugeAllowed": true,
"dangerousGoodsAllowed": true,
"cargoCutOffInMinutes": 0
}
],
"tarRequired": true,
"roadLicenseIdRequired": true
},
"actions": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "load",
"groupId": "string",
"name": "string",
"externalAttributes": {
"property1": {},
"property2": {}
},
"identifiers": [
{
"language": {}
}
],
"lifeCycle": "requested",
"result": {
"status": "succeeded",
"remark": "string",
"reason": "string",
"results": [
{}
],
"answers": {
"property1": {},
"property2": {}
},
"attachments": [
null
]
},
"remark": "string",
"sequenceNr": 0,
"tripSequenceNr": 0,
"location": {
"associationType": "inline",
"entity": {},
"description": "string"
},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"eta": "2019-08-24T14:15:22Z",
"etd": "2019-08-24T14:15:22Z",
"timeFormat": "string",
"recurrence": "string",
"duration": 0,
"estimatedDuration": 0,
"inTripOnly": true,
"actions": [
{}
],
"communicationRequests": [
{
"language": {}
}
],
"documents": [
{}
],
"contextEvents": [
{
"language": {},
"externalAttributes": {},
"identifiers": [],
"vehicle": {},
"transportEquipment": {}
}
],
"attributes": [
{
"language": {}
}
],
"versionNumber": 0,
"constraints": [
{}
],
"consignment": {
"associationType": "inline",
"entity": {
"goods": [],
"consignment": {},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"documents": [],
"actors": [],
"actions": [],
"pricingElements": [],
"externalAttributes": {},
"constraints": [],
"identifiers": [],
"attributes": []
}
},
"isContainmentAction": true,
"vehicle": {
"associationType": "inline"
},
"transportEquipment": {
"associationType": "inline"
},
"stop": {
"associationType": "inline",
"entity": {
"externalAttributes": {},
"actions": [],
"documents": [],
"contextEvents": [],
"attributes": [],
"timeslotBookings": [],
"identifiers": [],
"constraints": [],
"communicationRequests": [],
"stop": {}
},
"description": "string"
},
"pin": "string",
"tar": "string",
"shipmentLine": {
"scacCode": "string",
"smdgCode": "string"
},
"containmentUUID": "string"
}
],
"constraints": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "accessConstraint",
"name": "string",
"enforceability": "enforced",
"description": "string"
}
],
"pricingElements": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"quantity": 0,
"name": "string",
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"business": {}
}
],
"remark": "string",
"hash": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"dataIsComplete": true
}
],
"identification": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
],
"contactPersons": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"partOf": [
{}
],
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"dataIsComplete": true,
"pricingConfigurationCount": 0,
"hasAgreedToPrice": true
},
"schedule": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"weekDays": [
"sunday"
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"timeSlotTemplates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"capacityUnits": 0,
"weekDay": "sunday",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"language": {},
"filters": []
}
],
"filters": [
{
"filters": []
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
]
}
],
"timeSlots": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"date": "2019-08-24T14:15:22Z",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"consignments": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
{}
],
"team": {},
"combined": true,
"consignment": {},
"originalPhysicalSender": {},
"originalLegalSender": {},
"originalPhysicalAddressee": {},
"originalLegalAddressee": {},
"currentLocation": {
"administrativeReference": {},
"lat": 0.1,
"lon": 0.1,
"speed": {},
"heading": {},
"bearing": {},
"bearingType": "absolute"
},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"type": "string",
"remark": "string",
"documents": [
{}
],
"actors": [
{}
],
"actions": [
{}
],
"constraints": [
{}
],
"identifiers": [
{
"language": {}
}
],
"attributes": [
{
"language": {}
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"language": {}
},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"hasAgreedToPrice": true,
"versionNumber": 0,
"nextPlanFromAction": {}
}
],
"route": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"time": 0,
"cost": 0,
"distance": 0,
"expenses": [
{
"nonce": "string",
"sequenceNr": 0,
"quantity": 0,
"name": "string",
"description": "string",
"category": {
"identifiers": []
},
"business": {},
"amount": {},
"subTotal": {},
"tax": {},
"total": {}
}
],
"additionalInfo": {
"property1": {},
"property2": {}
},
"lineString": "string",
"actors": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"user": {},
"identifiers": [
null
],
"contactDetails": [
null
]
}
],
"actions": [
{}
],
"constraints": [
{
"associationType": "inline",
"entity": {},
"description": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {
"value": "string",
"unit": "string"
},
"totalUnits": 0,
"availableCapacity": {
"value": "string",
"unit": "string"
},
"totalCapacity": {
"value": "string",
"unit": "string"
},
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"name": "string",
"description": "string",
"taxRate": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true,
"identifiers": [
{
"language": {}
}
]
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
null
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}'{ "success": true, "message": "string", "code": 0, "capacities": [ { … } ], "totalResults": 0 }
- Mock serverhttps://docs.transportial.com/_mock/apis/capacities/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/capacities/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/capacities/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/capacities/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "capacities": [ { … } ], "totalResults": 0 }
Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.